//
//  DLPObjectContext+PipelineManager.h
//  GWSubstrate
//
//  Created by Sebastien Boisvert on 2011-01-11.
//  Copyright 2011 Marketcircle, Inc. All rights reserved.
//

#import "DLPObjectContext.h"
//#import "GWPipelineClasses.h"
#import "GWOpportunity.h"
#import "GWProject.h"

@class GWPipelineStageDefinition;

@interface DLPObjectContext (PipelineManager)

-(GWPipeline*)createPipelineFromDefinition:(GWPipelineDefinition*)definition forObject:(id)object;
-(GWPipelineStage *)createPipelineStageFromDefinition:(GWPipelineStageDefinition*)definition forPipeline:(GWPipeline*)pipeline;
-(GWPipelineStage*)createNextStageForPipeline:(GWPipeline*)pipeline;
-(GWPipelineStage*)highestStageForPipeline:(GWPipeline*)pipeline;
//-(void)movePipelineToNextStageWithStageReason:(NSString*)stageReason forObject:(id)object;
-(void)setNewPipeline:(GWPipelineDefinition *)pipelineDefinition forObject:(id)object;
-(void)setPipelineStage:(GWPipelineStage*)stage stageReason:(NSString*)stageReason startDate:(NSDate*)startDate targetEndDate:(NSDate*)endDate forObject:(id)object;

#pragma mark Stage objects creation
-(GWTask*)createNewTaskForPipelineStage:(GWPipelineStage *)aStage;

@end