//
//  DLTextAttachment.h
//  DLNoteAndAttachmentsTest
//
//  Created by Sebastien Boisvert on 2010-05-10 19.
//  Copyright 2010 Marketcircle, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

extern NSString *kDLAttachmentAttributesKey;

#import <Cocoa/Cocoa.h>
#import "GWFileAttachmentClasses.h"

@interface DLTextAttachment : NSTextAttachment <NSCoding> 

@property (strong) NSDictionary *attributes;
@property (assign) BOOL isImage;
@property (readonly) GWFileAttachment *fileAttachment;
@property (readonly) NSData *fileAttachmentData;

+(NSCache*)attachmentCellCache;
-(void)finishSetup;
-(void)setupForObjectContext:(id)oc;

@end
