//
//  GWFileAttachmentSchemeHandler.h
//  GWSubstrate
//
//  Created by Sebastien Boisvert on 2010-08-03.
//  Copyright 2010 Marketcircle, Inc. All rights reserved.
//


#import "GWFileAttachmentScheme.h"

@interface GWFileAttachmentSchemeHandler : NSObject {
    
}

@property (strong) GWFileAttachmentScheme *fileAttachmentScheme;

+(NSString *)schemeName;

-(BOOL)retrieveAttachment:(id)object toPath:(NSURL*)filePath delegate:(id)delegate error:(NSError**)error;
-(BOOL)storeFile:(NSString*)filepath atPath:(NSString *)relativePath forAttachment:(id)object delegate:(id)delegate error:(NSError**)error;
-(NSDate*)attachmentModifyDate:(id)object;
-(NSURL*)attachmentURL:(id)object;
-(BOOL)completeAttachmentDownloadForObject:(id)object error:(NSError**)error;

+(BOOL)shouldDisplay;

@end
