// GWLineItem.h
// GWSubstrate
// 
// Copyright (c) 2001 Marketcircle Inc. All rights reserved.


#import "_GWLineItem.h"

@class GWExtraFieldsNames,MCEnumWrapper;

@interface GWLineItem : _GWLineItem 

+ (NSArray *)typeEnumWrappers;
@property(nonatomic,readonly) NSArray *typeEnumWrappers;
@property(nonatomic,assign) MCEnumWrapper *typeEnumWrapper;


- (NSString*)typeCodeName;
- (void)setTypeCodeName:(NSString*)aName;

- (NSNumber*)salePrice;
- (void)setSalePrice:(NSNumber*)aPrice;

- (NSNumber*)markupInDollars;
- (void)setMarkupInDollars:(NSNumber*)aMarkup;

- (NSNumber*)discountInDollars;
- (void)setDiscountInDollars:(NSNumber*)aDiscount;

- (NSNumber*)subtotal;
- (void)setSubtotal:(NSNumber*)aTotal;

- (NSNumber*)tax1Total;
- (void)setTax1Total:(NSNumber*)aTotal;

- (NSNumber*)tax2Total;
- (void)setTax2Total:(NSNumber*)aTotal;

- (NSNumber*)total;
- (void)setTotal:(NSNumber*)aTotal;

- (NSNumber*)totalIncludingTaxes;
- (void)setTotalIncludingTaxes;

- (BOOL)useTax1Bool;
- (void)setUseTax1Bool:(BOOL)aFlag;

- (BOOL)useTax2Bool;
- (void)setUseTax2Bool:(BOOL)aFlag;

- (BOOL)useCompoundSecondaryTaxBool;
- (void)setUseCompoundSecondaryTaxBool:(BOOL)aFlag;

- (BOOL)isDiscountRepresentedAsDollar;
- (void)setIsDiscountRepresentedAsDollar:(BOOL)aFlag;

- (BOOL)isDiscountRepresentedAsPercent;
- (void)setIsDiscountRepresentedAsPercent:(BOOL)aFlag;


- (BOOL)isMarkupRepresentedAsDollar;
- (void)setIsMarkupRepresentedAsDollar:(BOOL)aFlag;

- (BOOL)isMarkupRepresentedAsPercent;
- (void)setIsMarkupRepresentedAsPercent:(BOOL)aFlag;

- (void)updateOpportunityCachedTotal;

- (GWExtraFieldsNames *)extraFieldsNames;

// tableview display stuff
//- (NSNumber*)unitsForDisplay;
//- (void)setUnitsForDisplay:(NSNumber*)aNum;
//
//- (NSNumber*)basePriceForDisplay;
//- (void)setBasePriceForDisplay:(NSNumber*)aPrice;
//
//- (NSNumber*)markupForDisplay;
//- (void)setMarkupForDisplay:(NSNumber*)aMarkup;
//
//- (NSNumber*)subtotalForDisplay;
//- (void)setSubtotalForDisplay:(NSNumber*)aTotal;
//
//- (NSNumber*)totalForDisplay;
//- (void)setTotalForDisplay:(NSNumber*)aTotal;

@end
