//
//  DLPObjectContext+AttachmentStorage.h
//  DLSubstrate
//
//  Created by Patrick Rogers on 11-09-07.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "DLPObjectContext.h"


@class DLArchiverAttachment;
@class GWFileAttachmentScheme;

@interface DLPObjectContext (AttachmentStorage)
/*!
 Returns the file attachment schemes - creates them if needed. Queries each time.
 */
- (GWFileAttachmentScheme *)fileReferenceScheme;
- (GWFileAttachmentScheme *)internalStorageScheme;
- (GWFileAttachmentScheme *)cloudStorageScheme;
- (DLArchiverAttachment *)archivedAttachmentScheme;
@end
