//
//  DLQuickSearchEntityQueryItem.h
//  DLQuickSearchTest
//
//  Created by Ali Lalani on 10-02-08.
//  Copyright 2010 Marketcircle, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "DLQuickSearchQueryItem.h"

@class MCPEntity,BDQualifier,BDSortOrdering,DLPObjectContext,DLQuickSearchQueryItemSearchSpec;


@interface DLQuickSearchEntityQueryItem : DLQuickSearchQueryItem

@property(strong) MCPEntity *entity;
@property(readonly,weak) DLPObjectContext *objectContext;
@property(assign) NSUInteger fetchLimit;
@property(strong) BDSortOrdering *sortOrdering;
@property(strong) BDQualifier *additionalQualifier;

+ (DLQuickSearchEntityQueryItem *)entityQueryItemWithIdentifier:(NSString *)anIdentifier displayKeyPath:(NSString *)aDisplayKeyPath objectContext:(DLPObjectContext *)anObjectContext entityName:(NSString *)anEntityName;

- (id)initWithIdentifier:(NSString *)anIdentifier displayKeyPath:(NSString *)aDisplayKeyPath objectContext:(DLPObjectContext *)anObjectContext;

@end
