// GWEstimate.h
// GWSubstrate
// 
// Copyright (c) 2001 Marketcircle Inc. All rights reserved.


#import "_GWEstimate.h"

@class GWGeoAddress;

@interface GWEstimate : _GWEstimate 
{
}

- (BOOL)useTax1Bool;
- (void)setUseTax1Bool:(BOOL)aFlag;

- (BOOL)useTax2Bool;
- (void)setUseTax2Bool:(BOOL)aFlag;

- (BOOL)useCompoundSecondaryTaxBool;
- (void)setUseCompoundSecondaryTaxBool:(BOOL)aFlag;

- (BOOL)hasDueDate;
- (void)setHasDueDate:(BOOL)aFlag;

- (NSString*)numLineItemsString;
- (void)setNumLineItemsString:(NSString*)aString;

- (id)sendTo;
- (void)setSendTo:(id)anObj;

- (NSString*)sendToEmail;
- (void)setSendToEmail:(NSString*)anEmail;

- (NSString*)sendToName;
- (void)setSendToName:(NSString*)sendToName;

- (GWGeoAddress *)sendToAddress;
- (void)setSendToAddress:(GWGeoAddress *)address;

// Returns a tempory file path suitable for saving the estimate PDF into.
#if !TARGET_OS_IPHONE
- (NSString*)temporaryPDFFilePath;
#endif

#pragma mark Total calcs

- (NSNumber*)subtotal;
- (void)setSubtotal:(NSNumber*)aTotal;

- (NSNumber*)tax1Total;
- (void)setTax1Total;

- (NSNumber*)tax2Total;
- (void)setTax2Total;

- (NSNumber*)taxTotal;
- (void)setTaxTotal;

- (NSNumber*)total;
- (void)setTotal:(NSNumber*)aTotal;

@end
