//
//  GWFileAttachmentTransferDelegateProtocol.h
//  GWSubstrate
//
//  Created by Sebastien Boisvert on 2010-08-04 31.
//  Copyright 2010 Marketcircle, Inc. All rights reserved.
//



@class GWFileAttachment;

@protocol GWFileAttachmentTransferDelegateProtocol

-(void)attachmentHandler:(id)handler willSendAttachment:(GWFileAttachment*)attachment;
-(void)attachmentHandler:(id)handler willReceiveAttachment:(GWFileAttachment*)attachment;
-(void)attachmentHandler:(id)handler finishedTransferForAttachment:(GWFileAttachment*)attachment;
-(void)attachmentHandler:(id)handler gotError:(NSError*)error;
-(void)attachmentHandler:(id)handler gotCriticalError:(NSError*)error;
-(void)transferProgressUpdate:(NSNumber *)progress transfered:(NSNumber *)transfered total:(NSNumber*)total;

@end
