// GWPipelineStage.h
// GWSubstrate
// 
// Copyright (c) 2001 Marketcircle Inc. All rights reserved.


#import "_GWPipelineStage.h"
@class GWActionSet;

@interface GWPipelineStage : _GWPipelineStage 
{
}
@property (nonatomic,readonly) NSArray *orderedTasks;

- (NSInteger)stageNumber; // basically just the order + 1
- (NSString *)displayString;
-(id)objective;

-(BOOL)isCurrentStage;
-(BOOL)isFirstStage;
-(BOOL)isLastStage;
-(GWPipelineStage*)nextStage;
-(GWPipelineStage*)previousStage;
-(GWActionSet*)activitySet;

@end
