// GWRelationship.h
// GWSubstrate
// 
// Copyright (c) 2001 Marketcircle Inc. All rights reserved.


#import "_GWRelationship.h"
#import "MCIntermediaryObjectProtocol.h"

@interface GWRelationship : _GWRelationship <MCIntermediaryObject>

@property(nonatomic,strong) id sourceObject;
@property(nonatomic,strong) id destinationObject;

// returns whether a relationship can exist between the given entities

+ (BOOL)relationshipExistsBetweenEntityName:(NSString *)firstEntityName andEntityName:(NSString *)secondEntityName;

- (id)destinationObjectForObject:(id)anObj;

@end
