//
//  GWTimeblockOccurrenceProxy.h
//  DLSubstrate
//
//  Created by Michael Clark on 25/03/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "DLRepeatingObjectOccurrenceProxy.h"

@class GWTimeblock;

@interface GWTimeblockOccurrenceProxy : NSObject <DLRepeatingObjectOccurrenceProxy>
@property (nonatomic,strong,readonly) GWTimeblock *parentTimeblock;

+ (GWTimeblockOccurrenceProxy *)proxyWithParentTimeblock:(GWTimeblock *)aTimeblock forStartTime:(NSDate *)aDate;
- (id)initWithParentTimeblock:(GWTimeblock *)aTimeblock forStartTime:(NSDate *)aDate;
@end


@interface NSArray (GWTimeblockOccurrenceProxyAdditions)
- (GWTimeblockOccurrenceProxy *)timeblockProxyMatchingTimeblockProxy:(GWTimeblockOccurrenceProxy *)aProxy;
- (void)swapTimeblockProxyParent:(GWTimeblock *)oldParent withNewParent:(GWTimeblock *)newParent;
@end


@interface NSMutableArray (GWTimeblockOccurrenceProxyAdditions)
- (void)removeProxiesWithParent:(GWTimeblock *)parentTimeblock;
@end
