//
//  MCPreferenceButton.h
//  DLPreferencePaneTest
//
//  Created by Oscar Perez on 10-08-04.
//  Copyright 2010 Marketcircle Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface MCPreferenceButton : NSButton {
	
	NSString *classIdentifier;
	BOOL hasSpotlight;
	BOOL hasSpotlightGradient;

}

@property (nonatomic,assign) BOOL hasSpotlight;
@property (nonatomic,assign) BOOL hasSpotlightGradient;

- (NSString *)classIdentifier;
- (void)setClassIdentifier:(NSString*)aValue;
- (void)setSpotlight:(BOOL)spotlightBool withGradient:(BOOL)gradientBool;
- (BOOL)hasSpotlight;
- (void)setButtonImageTint;


@end
